Browse Source

Update to Shellfu v0.10.1

Alois Mahdal 7 years ago
parent
commit
00fac8b928

+ 3
- 1
packaging/debian/control View File

8
 
8
 
9
 Package: saturnin-demo
9
 Package: saturnin-demo
10
 Architecture: all
10
 Architecture: all
11
-Depends: shellfu-bash, shellfu-bash-core, shellfu-bash-saturnin (>= 0.4.6)
11
+Depends:
12
+ shellfu (>= 0.10.1),
13
+ shellfu-bash-saturnin (>= 0.4.6)
12
 Description: __MKIT_PROJ_TAGLINE__
14
 Description: __MKIT_PROJ_TAGLINE__
13
  saturnin is Shellfu library that helps you easily build toolkit from
15
  saturnin is Shellfu library that helps you easily build toolkit from
14
  various scripts that you may have lying around.  Instead of having a
16
  various scripts that you may have lying around.  Instead of having a

+ 1
- 2
packaging/template.spec View File

8
 
8
 
9
 BuildArch:	noarch
9
 BuildArch:	noarch
10
 BuildRequires:	coreutils git
10
 BuildRequires:	coreutils git
11
-Requires:	shellfu-bash
12
-Requires:	shellfu-bash-core
11
+Requires:	shellfu >= 0.10.1
13
 Requires:	shellfu-bash-saturnin >= 0.4.6
12
 Requires:	shellfu-bash-saturnin >= 0.4.6
14
 
13
 
15
 %description
14
 %description

+ 1
- 1
src/bin/app.skel View File

1
 #!/bin/bash
1
 #!/bin/bash
2
 #shellcheck disable=SC1090,SC2034
2
 #shellcheck disable=SC1090,SC2034
3
 
3
 
4
-. "$(shellfu-get path)" || exit 3
4
+. "$(sfpath)" || exit 3
5
 
5
 
6
 {
6
 {
7
     SATURNIN_APP_CODENAME="__MKIT_PROJ_CODENAME__"
7
     SATURNIN_APP_CODENAME="__MKIT_PROJ_CODENAME__"

+ 1
- 1
src/libexec/saturnin-demo-dump View File

1
 #!/bin/bash
1
 #!/bin/bash
2
 
2
 
3
-. "$(shellfu-get path)" || exit 3
3
+. "$(sfpath)" || exit 3
4
 
4
 
5
 env | sort | xargs -L 1 saturnin-demo echo
5
 env | sort | xargs -L 1 saturnin-demo echo

+ 1
- 1
src/libexec/saturnin-demo-echo View File

1
 #!/bin/bash
1
 #!/bin/bash
2
 
2
 
3
-. "$(shellfu-get path)" || exit 3
3
+. "$(sfpath)" || exit 3
4
 
4
 
5
 shellfu import saturnin
5
 shellfu import saturnin
6
 
6